<div class="mb-3">
  <button nbButton size="medium" status="" class="position-warning" [nbPopover]="'BUTTONS.PUB' | translate"
    nbPopoverPlacement="bottom">
    <nb-icon icon="plus-circle-outline"></nb-icon>
  </button>
  <button nbButton size="medium" status="danger" class="position-warning ml-3" [nbPopover]="'BUTTONS.ATT' | translate"
    nbPopoverPlacement="bottom">
    <nb-icon icon="alert-triangle-outline"></nb-icon>
  </button>
</div>

<div class="row">
  <div class="col-md-2">
    <nb-card>
      <nb-card-header>
        <h6>Findings & Artifacts</h6>
      </nb-card-header>
      <nb-card-body>
        <table [nbTreeGrid]="dataSource">
          <tr nbTreeGridHeaderRow *nbTreeGridHeaderRowDef="allColumns"></tr>
          <tr nbTreeGridRow [clickToToggle]="false" *nbTreeGridRowDef="let row; columns: allColumns"></tr>
          <ng-container nbTreeGridColumnDef="name">
            <th nbTreeGridHeaderCell *nbTreeGridHeaderCellDef>Name</th>
            <td nbTreeGridCell *nbTreeGridCellDef="let row" role="button" (click)="handleTreeItemClick(row)">
              <nb-tree-grid-row-toggle [expanded]="row.expanded" *ngIf="row.children">
              </nb-tree-grid-row-toggle>
              {{row.data["name"] || '-'}}
            </td>
          </ng-container>
        </table>
      </nb-card-body>
    </nb-card>
  </div>

  <div class="col-md-10">
    <nb-card *ngIf="selectedNode && selectedNode.type==='finding'">
      <nb-card-header>
        <h6>{{selectedNode.name}}</h6>
      </nb-card-header>
      <nb-card-body>
        <nb-stepper orientation="horizontal" linear="false" #stepperExecution>
          <!-- Ab hier Vertikaler Stepper-->

          <!-- Unterschritt: Vorbereitung -->
          <nb-step label="Finding Plan" [stepControl]="{
                    valid: this.stepperService.isStepCompleted(0, stepperExecution),
                    reset: this.stepperService.resetStep(0, stepperExecution)
                  }">
            <div class="my-stepper-wrapper">
              <app-finding-plan></app-finding-plan>
            </div>
          </nb-step>

          <!-- Unterschritt: Analysieren -->
          <nb-step label="Create or Reuse" [stepControl]="{
                    valid: this.stepperService.isStepCompleted(1, stepperExecution),
                    reset: this.stepperService.resetStep(1, stepperExecution)
                  }">
            <div class="my-stepper-wrapper">
              <app-finding-create-reuse></app-finding-create-reuse>
            </div>
          </nb-step>

          <!-- Unterschritt: Dokumentation -->
          <nb-step label="Compile Finding" [stepControl]="{
                    valid: this.stepperService.isStepCompleted(2, stepperExecution),
                    reset: this.stepperService.resetStep(2, stepperExecution)
                  }">
            <div class="my-stepper-wrapper">
              <app-finding-compile></app-finding-compile>
            </div>
          </nb-step>
        </nb-stepper>
      </nb-card-body>
    </nb-card>

    <!-- Only Visible for Artifacts -->
    <nb-card *ngIf="selectedNode && selectedNode.type==='artifact'">
      <nb-card-header>
        <h6>{{selectedNode.name}}</h6>
      </nb-card-header>
      <nb-card-body>
        <nb-stepper orientation="horizontal" linear="false" #stepperExecution>
          <!-- Ab hier Vertikaler Stepper-->

          <nb-step label="Plan" [stepControl]="{
                    valid: this.stepperService.isStepCompleted(0, stepperExecution),
                    reset: this.stepperService.resetStep(0, stepperExecution)
                  }">
            <div class="my-stepper-wrapper">
              <app-artifact-plan></app-artifact-plan>
            </div>
          </nb-step>
          <nb-step label="Generate" [stepControl]="{
                    valid: this.stepperService.isStepCompleted(1, stepperExecution),
                    reset: this.stepperService.resetStep(1, stepperExecution)
                  }">
            <div class="my-stepper-wrapper">
              <app-artifact-generate></app-artifact-generate>
            </div>
          </nb-step>

          <nb-step label="Check" [stepControl]="{
                    valid: this.stepperService.isStepCompleted(2, stepperExecution),
                    reset: this.stepperService.resetStep(2, stepperExecution)
                  }">
            <div class="my-stepper-wrapper">
              <app-artifact-check></app-artifact-check>
            </div>
          </nb-step>

          <nb-step label="Store" [stepControl]="{
                    valid: this.stepperService.isStepCompleted(3, stepperExecution),
                    reset: this.stepperService.resetStep(3, stepperExecution)
                  }">
            <div class="my-stepper-wrapper">
              <app-artifact-store></app-artifact-store>
            </div>
          </nb-step>
          <nb-step label="Reuse" [stepControl]="{
                    valid: this.stepperService.isStepCompleted(4, stepperExecution),
                    reset: this.stepperService.resetStep(4, stepperExecution)
                  }">
            <div class="my-stepper-wrapper">
              <app-artifact-reuse></app-artifact-reuse>
            </div>
          </nb-step>
        </nb-stepper>
      </nb-card-body>
    </nb-card>
  </div>
</div>